Package htsjdk.beta.plugin.reads

# Interface ReadsCodec

All Superinterfaces:
  `HtsCodec<ReadsDecoderOptions,ReadsEncoderOptions>`, `Upgradeable`

All Known Implementing Classes:
  `BAMCodec`, `BAMCodecV1_0`, `CRAMCodec`, `CRAMCodecV2_1`, `CRAMCodecV3_0`, `CRAMCodecV3_1`, `HtsgetBAMCodec`, `HtsgetBAMCodecV1_2`, `SAMCodec`, `SAMCodecV1_0`

public interface ReadsCodec extends HtsCodec<ReadsDecoderOptions,ReadsEncoderOptions>
Base class for all `HtsContentType.ALIGNED_READS` codecs.

## Method Summary

Modifier and Type
Method
Description
`default HtsContentType`
`getContentType()`
Get the `HtsContentType` for this codec.

### Methods inherited from interface htsjdk.beta.plugin.HtsCodec

`canDecodeSignature, canDecodeURI, getDecoder, getDisplayName, getEncoder, getFileFormat, getSignatureLength, getSignatureProbeLength, getVersion, ownsURI`

### Methods inherited from interface htsjdk.beta.plugin.Upgradeable

`runVersionUpgrade`

## Method Details

### getContentType

default HtsContentType getContentType()
Description copied from interface: `HtsCodec`
Get the `HtsContentType` for this codec.

Specified by:
  `getContentType` in interface `HtsCodec<ReadsDecoderOptions,ReadsEncoderOptions>`
Returns:
  the `HtsContentType` for this codec. The `HtsContentType` determines the interfaces, including the HEADER and RECORD types, used by this codec's `HtsEncoder` and `HtsDecoder`. Each implementation of a given content type exposes the same interfaces, but over a different file format or version. For example, both the BAM and HTSGET_BAM codecs have codec type `HtsContentType.ALIGNED_READS`, and are derived from `ReadsCodec`, but the serialized file formats and access mechanisms for the two codecs are different).